r887 - trunk/udev

jim at linuxfromscratch.org jim at linuxfromscratch.org
Mon Dec 12 22:30:52 PST 2005


Author: jim
Date: 2005-12-12 23:30:52 -0700 (Mon, 12 Dec 2005)
New Revision: 887

Added:
   trunk/udev/udev
   trunk/udev/udev_retry
Removed:
   trunk/udev/boot.udev
   trunk/udev/boot.udev_retry
Modified:
   trunk/udev/
   trunk/udev/Makefile
Log:
 r1050 at server:  jim | 2005-12-12 22:30:35 -0800
 Renamed bootscripts added proper install for bootscripts



Property changes on: trunk/udev
___________________________________________________________________
Name: svk:merge
   - 3949c430-d905-0410-97b6-f115d20341b5:/udev:1044
   + 3949c430-d905-0410-97b6-f115d20341b5:/udev:1050

Modified: trunk/udev/Makefile
===================================================================
--- trunk/udev/Makefile	2005-12-13 06:19:43 UTC (rev 886)
+++ trunk/udev/Makefile	2005-12-13 06:30:52 UTC (rev 887)
@@ -26,11 +26,14 @@
 	install -m ${SCRIPTMODE) ${DESTDIR}/usr/bin/udev.count_events
 
 boot:
-	install -m ${INITMODE} ${DESTDIR}/etc/init.d/udev
-	install -m ${INITMODE} ${DESTDIR}/etc/init.d/udev_retry
+	install -d  ${DESTDIR}/usr/share/udev
+	install -m ${INITMODE} ${DESTDIR}/etc/rc.d/init.d/udev
+	install -m ${INITMODE} ${DESTDIR}/etc/rc.d/init.d/udev_retry
 	install -m ${CONFMODE} ${DESTDIR}/var/adm/fillup-templates/sysconfig.storage
-	install -m ${SCRIPTMODE) doc/show_event_log
-	install -m ${CONFMODE} doc/README.Logging
+	install -m ${SCRIPTMODE) ${DESTDIR}/usr/share/udev/show_event_log
+	install -m ${CONFMODE}  ${DESTDIR}/usr/share/udev/README.Logging
+	ln -sf ${DESTDIR}/rc.d/init.d/udev ${DESTDIR}/rc.d/rcsysinit.d/S10udev
+	ln -sf ${DESTDIR}/rc.d/init.d/udev_retry ${DESTDIR}/rc.d/rcsysinit.d/S15udev_retry
 
 device_dirs:
 	install -d -m ${DIRMODE} ${DESTDIR}/lib/udev/devices

Deleted: trunk/udev/boot.udev
===================================================================
--- trunk/udev/boot.udev	2005-12-13 06:19:43 UTC (rev 886)
+++ trunk/udev/boot.udev	2005-12-13 06:30:52 UTC (rev 887)
@@ -1,124 +0,0 @@
-#!/bin/sh
-########################################################################
-# Begin $rc_base/init.d/udev
-#
-# Description : Udev Boot Script
-#
-# Authors     : Based on Open Suse Udev Rules
-#               kay.sievers at suse.de
-#
-# Adapted to  : Jim Gifford
-# LFS
-#
-# Version     : 00.00
-#
-# Notes       :
-#
-########################################################################
-
-. /etc/sysconfig/rc
-. ${rc_functions}
-
-function trigger_device_events() {
-	# generate events with the sysfs trigger
-	list=$(echo /sys/bus/*/devices/*/uevent)
-	list="$list $(echo /sys/class/*/*/uevent)"
-	list="$list $(echo /sys/block/*/uevent /sys/block/*/*/uevent)"
-	for i in $list; do
-	    case "$i" in
-		*/device/uevent)
-		    # skip followed device symlinks
-		    continue
-		    ;;
-
-		*/class/mem/*|*/class/tty/*)
-		    first="$first $i"
-		    ;;
-
-		*/block/md*)
-		    last="$last $i"
-		    ;;
-
-		*/*)
-		    default="$default $i"
-		    ;;
-	    esac
-	done
-
-	# trigger the sorted events
-	for i in $first $default $last; do
-	    echo "add" > "$i"
-	done
-}
-
-case "$1" in
-    start)
-	# disable hotplug helper, udevd listens to netlink
-	echo "" > /proc/sys/kernel/hotplug
-
-	# start udevd
-	bootmesg "Starting udevd..."
-	loadproc /sbin/udevd --daemon
-
-	# cleanup some stuff
-	rm -f /var/run/sysconfig/network
-	rm -rf /events/*
-
-	# start coldplugging
-	bootmesg "Performing Coldplugging..."
-
-	# unlikely, but we may be faster than the first event
-	mkdir -p /dev/.udev/queue
-
-	# configure all devices
-	trigger_device_events
-
-	# until we know how to do better, we wait for all events to finish
-	loop=0
-	while test -d /dev/.udev/queue; do
-	    sleep 0.1;
-	    test "$loop" -gt 300 && break
-	    loop=$(($loop + 1))
-	done
-
-	echo_ok
-	;;
-
-    stop)
-	bootmesg "Stopping udevd..."
-	echo "/sbin/hotplug" > /proc/sys/kernel/hotplug
-	killproc /sbin/udevd
-	;;
-
-    restart)
-	bootmesg "Restarting udevd..."
-	killproc /sbin/udevd
-	loadproc /sbin/udevd --daemon
-	evaluate_retval
-	;;
-
-    status)
-	statusproc /sbin/udevd
-	;;
-
-    reload)
-	bootmesg "Reloading udev rules..."
-	udevcontrol reload_rules
-	cp --preserve=all --recursive --update /lib/udev/devices/* /dev
-	evaluate_retval
-	;;
-
-    force-reload)
-	bootmesg "Updating all available device nodes in /dev..."
-	udevcontrol reload_rules
-	rm -rf /dev/.udev /dev/disk
-	cp --preserve=all --recursive --update /lib/udev/devices/* /dev
-	trigger_device_events
-	evaluate_retval
-	;;
-
-    *)
-	echo "Usage: $0 {start|stop|restart|status|reload|force-reload}"
-	exit 1
-	;;
-esac

Deleted: trunk/udev/boot.udev_retry
===================================================================
--- trunk/udev/boot.udev_retry	2005-12-13 06:19:43 UTC (rev 886)
+++ trunk/udev/boot.udev_retry	2005-12-13 06:30:52 UTC (rev 887)
@@ -1,39 +0,0 @@
-#!/bin/sh
-########################################################################
-# Begin $rc_base/init.d/udev_retry
-#
-# Description : Udev Retry Boot Script
-#
-# Authors     : Based on Open Suse Udev Rules
-#               kay.sievers at suse.de
-#
-# Adapted to  : Jim Gifford
-# LFS
-#
-# Version     : 00.00
-#
-# Notes       : Retry Udev events that have failed after local file
-#               systems are mounted
-#
-########################################################################
-
-. /etc/sysconfig/rc
-. ${rc_functions}
-
-case "$1" in
-    start)
-	if test -d /dev/.udev/failed; then
-	    boot_mesg "Retry device configuration..."
-	    list=$(echo /dev/.udev/failed/*)
-	    for i in $list; do
-		device="$(readlink $i)/uevent"
-		test -e $device && echo "add" > $device
-	    done
-	fi
-	evaluate_retval
-	;;
-    *)
-	echo "Usage: $0 {start}"
-	exit 1
-	;;
-esac

Added: trunk/udev/udev
===================================================================
--- trunk/udev/udev	2005-12-13 06:19:43 UTC (rev 886)
+++ trunk/udev/udev	2005-12-13 06:30:52 UTC (rev 887)
@@ -0,0 +1,124 @@
+#!/bin/sh
+########################################################################
+# Begin $rc_base/init.d/udev
+#
+# Description : Udev Boot Script
+#
+# Authors     : Based on Open Suse Udev Rules
+#               kay.sievers at suse.de
+#
+# Adapted to  : Jim Gifford
+# LFS
+#
+# Version     : 00.00
+#
+# Notes       :
+#
+########################################################################
+
+. /etc/sysconfig/rc
+. ${rc_functions}
+
+function trigger_device_events() {
+	# generate events with the sysfs trigger
+	list=$(echo /sys/bus/*/devices/*/uevent)
+	list="$list $(echo /sys/class/*/*/uevent)"
+	list="$list $(echo /sys/block/*/uevent /sys/block/*/*/uevent)"
+	for i in $list; do
+	    case "$i" in
+		*/device/uevent)
+		    # skip followed device symlinks
+		    continue
+		    ;;
+
+		*/class/mem/*|*/class/tty/*)
+		    first="$first $i"
+		    ;;
+
+		*/block/md*)
+		    last="$last $i"
+		    ;;
+
+		*/*)
+		    default="$default $i"
+		    ;;
+	    esac
+	done
+
+	# trigger the sorted events
+	for i in $first $default $last; do
+	    echo "add" > "$i"
+	done
+}
+
+case "$1" in
+    start)
+	# disable hotplug helper, udevd listens to netlink
+	echo "" > /proc/sys/kernel/hotplug
+
+	# start udevd
+	bootmesg "Starting udevd..."
+	loadproc /sbin/udevd --daemon
+
+	# cleanup some stuff
+	rm -f /var/run/sysconfig/network
+	rm -rf /events/*
+
+	# start coldplugging
+	bootmesg "Performing Coldplugging..."
+
+	# unlikely, but we may be faster than the first event
+	mkdir -p /dev/.udev/queue
+
+	# configure all devices
+	trigger_device_events
+
+	# until we know how to do better, we wait for all events to finish
+	loop=0
+	while test -d /dev/.udev/queue; do
+	    sleep 0.1;
+	    test "$loop" -gt 300 && break
+	    loop=$(($loop + 1))
+	done
+
+	echo_ok
+	;;
+
+    stop)
+	bootmesg "Stopping udevd..."
+	echo "/sbin/hotplug" > /proc/sys/kernel/hotplug
+	killproc /sbin/udevd
+	;;
+
+    restart)
+	bootmesg "Restarting udevd..."
+	killproc /sbin/udevd
+	loadproc /sbin/udevd --daemon
+	evaluate_retval
+	;;
+
+    status)
+	statusproc /sbin/udevd
+	;;
+
+    reload)
+	bootmesg "Reloading udev rules..."
+	udevcontrol reload_rules
+	cp --preserve=all --recursive --update /lib/udev/devices/* /dev
+	evaluate_retval
+	;;
+
+    force-reload)
+	bootmesg "Updating all available device nodes in /dev..."
+	udevcontrol reload_rules
+	rm -rf /dev/.udev /dev/disk
+	cp --preserve=all --recursive --update /lib/udev/devices/* /dev
+	trigger_device_events
+	evaluate_retval
+	;;
+
+    *)
+	echo "Usage: $0 {start|stop|restart|status|reload|force-reload}"
+	exit 1
+	;;
+esac


Property changes on: trunk/udev/udev
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/udev/udev_retry
===================================================================
--- trunk/udev/udev_retry	2005-12-13 06:19:43 UTC (rev 886)
+++ trunk/udev/udev_retry	2005-12-13 06:30:52 UTC (rev 887)
@@ -0,0 +1,39 @@
+#!/bin/sh
+########################################################################
+# Begin $rc_base/init.d/udev_retry
+#
+# Description : Udev Retry Boot Script
+#
+# Authors     : Based on Open Suse Udev Rules
+#               kay.sievers at suse.de
+#
+# Adapted to  : Jim Gifford
+# LFS
+#
+# Version     : 00.00
+#
+# Notes       : Retry Udev events that have failed after local file
+#               systems are mounted
+#
+########################################################################
+
+. /etc/sysconfig/rc
+. ${rc_functions}
+
+case "$1" in
+    start)
+	if test -d /dev/.udev/failed; then
+	    boot_mesg "Retry device configuration..."
+	    list=$(echo /dev/.udev/failed/*)
+	    for i in $list; do
+		device="$(readlink $i)/uevent"
+		test -e $device && echo "add" > $device
+	    done
+	fi
+	evaluate_retval
+	;;
+    *)
+	echo "Usage: $0 {start}"
+	exit 1
+	;;
+esac


Property changes on: trunk/udev/udev_retry
___________________________________________________________________
Name: svn:executable
   + *




More information about the cross-lfs mailing list